/*!
\file boundry.h
\brief Class declaration for Boundry
\author Nicholas Phillips, phillips@friday.gsfc.nasa.gov
\date Sept 04, 2004
*/

#ifndef BOUNDRY_H
#define BOUNDRY_H

//=======================================================================
/*!
@author Nicholas Phillips
*/
class Boundry {
public:
	Boundry() {};
	virtual ~Boundry() {};
	void set_eq(const double z, const double phi, const int direction);
	void set_np(const double z, const double phi, const int face);
	void set_sp(const double z, const double phi, const int face);
	double operator()(const double z) const;
private:
	double a;
	double b;
	bool eq;
	int face;
};

#endif
